Bug 442473 - Review Request: parcellite - A lightweight GTK+ clipboard manager
Review Request: parcellite - A lightweight GTK+ clipboard manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
: 445388 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 18:58 EDT by Christoph Wickert
Modified: 2010-01-02 11:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-13 17:36:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2008-04-14 18:58:14 EDT
Spec URL: http://cwickert.fedorapeople.org/review/parcellite.spec
SRPM URL: http://cwickert.fedorapeople.org/review/parcellite-0.7-1.fc9.src.rpm
Description: Parcellite is a lightweight GTK+ clipboard manager. This is a stripped down, 
basic-features-only clipboard manager with a small memory footprint for those 
who like simplicity.
Comment 1 Sebastian Vahl 2008-04-17 04:13:53 EDT
Two small notes/questions:

1. Why does parcellite requires lxpanel?
2. I'm not really sure about this, but I think I would prefer a NotShowIn=KDE;
in %{_sysconfdir}/xdg/autostart/%{name}-startup.desktop (because KDE already has
a default clipboard manager)
Comment 2 Sebastian Vahl 2008-04-17 04:20:41 EDT
(In reply to comment #1)
> 2. I'm not really sure about this, but I think I would prefer a NotShowIn=KDE;
> in %{_sysconfdir}/xdg/autostart/%{name}-startup.desktop (because KDE already has
> a default clipboard manager)

Uh. Ignore this. :)

Comment 3 Christoph Wickert 2008-04-17 04:27:17 EDT
(In reply to comment #1)
> Two small notes/questions:
> 
> 1. Why does parcellite requires lxpanel?

My bad. But on the other hand: We have no virtual provides for a "systray" or
"notification area", so how do we make sure that one is installed?

> 2. I'm not really sure about this, but I think I would prefer a NotShowIn=KDE;
> in %{_sysconfdir}/xdg/autostart/%{name}-startup.desktop (because KDE already has
> a default clipboard manager)

I could replace "OnlyShowIn=GNOME;XFCE;" with "NotShowIn=KDE;" but I'm not sure
if desktop-file-install likes it.
Comment 4 Sebastian Vahl 2008-04-17 05:17:24 EDT
(In reply to comment #3)
> (In reply to comment #1)
> > Two small notes/questions:
> > 
> > 1. Why does parcellite requires lxpanel?
> 
> My bad. But on the other hand: We have no virtual provides for a "systray" 
or
> "notification area", so how do we make sure that one is installed?

Good question. Maybe it is worth to bring this question to 
fedora-packaging-ml. 
For now I only see a few solutions:
1. explicit require a panel/systray (this may bother users which don't use 
this panel and it's also not clear if a systray is actually running when 
starting parcellite)
2. Enhance the description and point out that the user will need a running 
systray/panel to use parcellite
3. Don't include /usr/share/applications/fedora-parcellite.desktop and only 
autostart it (so you prevent the users to have a non-working menu entry when 
no systray is running).

> > 2. I'm not really sure about this, but I think I would prefer a 
NotShowIn=KDE;
> > in %{_sysconfdir}/xdg/autostart/%{name}-startup.desktop (because KDE 
already has
> > a default clipboard manager)
> 
> I could replace "OnlyShowIn=GNOME;XFCE;" with "NotShowIn=KDE;" but I'm not 
sure
> if desktop-file-install likes it.

Please see comment #2. I've overseen the already given entry.
Comment 5 Patrice Dumas 2008-04-17 11:06:42 EDT
I don't think that this application is desktop specific. It works 
fine in fluxbox there is an icon appearing in the panel when 
I start it (though it should certainly not be launched automatically).
Even when there is no systray in the window manager, it can still be used 
as a command-line application. 

Maybe it should only be said in the %description, something like "A 
systray is required for full functionality".

Also the gtk-paste icon should be copied in that package, or depend
on a package providing it.

In the desktop file Application is not a valid Category anymore.
Comment 6 Christoph Wickert 2008-05-04 12:00:00 EDT
Thanks for the comments and sorry for the delay.

(In reply to comment #5)
> I don't think that this application is desktop specific.

Agreed.

> It works 
> fine in fluxbox there is an icon appearing in the panel when 
> I start it (though it should certainly not be launched automatically).

Why not? BTW: It does not start here with fluxbox. parcellite-startup.desktop
contains "OnlyShowIn=GNOME;XFCE;", so it definitely shouldn't start in fluxbox.

> Maybe it should only be said in the %description, something like "A 
> systray is required for full functionality".

Fixed:
  "In GNOME and Xfce the clipboard manager will be started automatically. For 
  other desktops or window managers you should also install a panel with a 
  system tray or notification area if you want to use this package."
 
> Also the gtk-paste icon should be copied in that package, or depend
> on a package providing it.

gtk-past is provided by several icon themes and I'd like the icon to remain
themable. Should I require gnome-icon-theme to make sure one Icon theme is
installed? Other people might want to use nuoveXT, the upstream icon theme
however...

> In the desktop file Application is not a valid Category anymore.

Good catch, fixed.

SPEC: http://cwickert.fedorapeople.org/review/parcellite.spec
SRPM: http://cwickert.fedorapeople.org/review/parcellite-0.7-2.fc9.src.rpm
Comment 7 Patrice Dumas 2008-05-05 05:47:53 EDT
(In reply to comment #6)

> Why not? BTW: It does not start here with fluxbox. parcellite-startup.desktop
> contains "OnlyShowIn=GNOME;XFCE;", so it definitely shouldn't start in fluxbox.

I think that people using fluxbox want to control what runs, so let
them edit their startup file...
 

> > Also the gtk-paste icon should be copied in that package, or depend
> > on a package providing it.
> 
> gtk-past is provided by several icon themes and I'd like the icon to remain
> themable. Should I require gnome-icon-theme to make sure one Icon theme is
> installed? Other people might want to use nuoveXT, the upstream icon theme
> however...

After more thinking it seems to me that it is wrong to depend on a 
specific icon-theme package. I think that the best would be to provide
an icon in the hicolor theme for those who don't have any theme installed.
The theme would take precedence.
 
> SRPM: http://cwickert.fedorapeople.org/review/parcellite-0.7-2.fc9.src.rpm

I cannot download it?
Comment 8 Christoph Wickert 2008-05-05 06:30:27 EDT
(In reply to comment #7)
> I think that people using fluxbox want to control what runs, so let
> them edit their startup file...

If fluxbox supports /etc/xdg/autostart it should also provide a way to edit the
list of applications that are started. Anyway, for now we only autostart
parcellite in GNOME and Xfce.

> After more thinking it seems to me that it is wrong to depend on a 
> specific icon-theme package. I think that the best would be to provide
> an icon in the hicolor theme for those who don't have any theme installed.
> The theme would take precedence.

Fine, but this is something we can not fix here.
  
> > SRPM: http://cwickert.fedorapeople.org/review/parcellite-0.7-2.fc9.src.rpm
> 
> I cannot download it?

My bad, that was a 404 because I uploaded the binary, not the srpm. Fixed.
Comment 9 Patrice Dumas 2008-05-05 08:42:39 EDT
(In reply to comment #8)

> Fine, but this is something we can not fix here.

It would be nice to contact upstream about that, such that they
put icons in a directory of their packages that can be put in the
hicolor theme. Certainly not a blocker.
Comment 10 Patrice Dumas 2008-05-05 10:47:39 EDT
(In reply to comment #9)

> It would be nice to contact upstream about that, such that they
> put icons in a directory of their packages that can be put in the
> hicolor theme. Certainly not a blocker.

And additionally, I think that the dependency on icon theme
should be dropped.

Comment 11 Patrice Dumas 2008-05-05 10:57:45 EDT
* rpmlint is silent
* follow guidelines
* free software, license included
* match upstream
4461f256019fe610d66710a9b72e764d  parcellite-0.7.tar.gz
* %files section right

i suggest using 
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
to keep man page timestamp.

Also I suggest shipping the NEWS file which points to the website.

Not blockers, so

APPROVED

Sebastian, anything you want to add?
Comment 12 Christoph Wickert 2008-05-05 11:25:13 EDT
(In reply to comment #10)
> And additionally, I think that the dependency on icon theme
> should be dropped.

I dropped the dependency already on 0.7-2.

(In reply to comment #11)
> i suggest using 
> make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'
> to keep man page timestamp.
> 
> Also I suggest shipping the NEWS file which points to the website.

Thamks, I will fix these two after import if nobody objects. Sebastian, more
comments?
Comment 13 Christoph Wickert 2008-05-06 15:59:35 EDT
New Package CVS Request
=======================
Package Name: parcellite
Short Description: A lightweight GTK+ clipboard manager
Owners: cwickert
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 14 Sebastian Vahl 2008-05-06 16:19:01 EDT
(In reply to comment #11)
> Sebastian, anything you want to add?

(In reply to comment #12)
> Thamks, I will fix these two after import if nobody objects. Sebastian, more
> comments?

Sorry for being late. No, no more comments.

Comment 15 Kevin Fenzi 2008-05-06 16:57:10 EDT
cvs done.
Comment 16 Fedora Update System 2008-05-07 05:37:05 EDT
parcellite-0.7-2.fc9 has been submitted as an update for Fedora 9
Comment 17 Fedora Update System 2008-05-07 05:38:41 EDT
parcellite-0.7-2.fc8 has been submitted as an update for Fedora 8
Comment 18 Fedora Update System 2008-05-10 09:51:41 EDT
parcellite-0.7-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update parcellite'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-3552
Comment 19 Fedora Update System 2008-05-14 18:11:45 EDT
parcellite-0.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2008-05-14 18:12:22 EDT
parcellite-0.7-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Patrice Dumas 2008-05-21 09:55:54 EDT
*** Bug 445388 has been marked as a duplicate of this bug. ***
Comment 22 Fedora Update System 2008-07-26 02:02:00 EDT
parcellite-0.7-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Christoph Wickert 2009-11-22 19:20:28 EST
Package Change Request
======================
Package Name: parcellite
New Branches: EL-5
Owners: cwickert
Comment 24 Kevin Fenzi 2009-11-23 21:21:47 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.